#include <bits/stdc++.h>
using namespace std;
#define int long long
#define f first
#define ss second
#define ina insert
#define pb push_back
signed main(){
	int t;
	cin>>t;
	for(int q=0; q<t; q++){
		int n;
		cin>>n;
		vector<int>v(n);
		set<int>s;
		vector<int>fi,se;
		for(int i=0; i<n; i++){
			cin>>v[i];
			if(s.find(v[i])==s.end()){
				fi.pb(i);
				s.ina(v[i]);
			}
			else se.pb(i);
			
		}
		for(int i=0; i<fi.size(); i++){
			cout<<fi[i]<<" ";
		}
		for(int i=0; i<se.size(); i++){
			cout<<se[i]<<" ";
		}
	}
}